## nautilus-python 4.0.1

=== meson_options.txt ===
option(
  'docs',
  type: 'feature',
  description: 'Generate and install API docs',
)

## nautilus-python 1.1

=== debian/changelog ===
nautilus-python (1.1-4) unstable; urgency=low

  * Team upload.
  * Sync with ubuntu (Closes: #697565, #558613, #725665)
    - debian/control(.in) changes excluded except added dh-autoreconf b-d

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Oct 2013 23:48:55 +0200

nautilus-python (1.1-3ubuntu3) saucy; urgency=low

  [ Doug McMahon ]
  * d/p/02_python_multiarch_path.patch: Follow up fix for i386 multiarch.
    (LP: #1170017)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 29 May 2013 16:34:23 -0400

nautilus-python (1.1-3ubuntu2) saucy; urgency=low

  [ Dr.Amr Osman ]
  * debian/patches/02_python_multiarch_path.patch: Add 64bit multiarch
    search paths for libpython2.7.so.  (LP: #1170017)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 May 2013 16:26:27 -0400

nautilus-python (1.1-3ubuntu1) raring; urgency=low

  * Fix FTBFS with python multiarch headers; Add dh-autoreconf to control;
    Add autoreconf to rules
    - update debian/control
    - update debian/rules
    - add debian/patches/02_python_multiarch_path.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 06 Jan 2013 17:52:30 -0600

nautilus-python (1.1-3) unstable; urgency=low

  * Bump debhelper compatibility to 8.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Tighten dependency on python-gi to ensure it has dynamic bindings support.
    Closes: #652109

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Dec 2011 01:00:58 +0100

nautilus-python (1.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Martin Pitt ]
  * Add 00git_open_terminal_example_GI.patch: Use GI GConf bindings in open
    terminal example. Patch taken from upstream git.
  * Add 01_port_examples_to_GI.patch: Port remaining examples to GI
    bindings/GSettings. (Closes: #649910, LP: #898959)

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Dec 2011 07:40:34 +0100

nautilus-python (1.1-1) unstable; urgency=low

  * New upstream release.
    - Transition to nautilus 3 (Closes: #637315)
  * debian/control.in:
    - Adjusts {build-}dependencies
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Add Vcs-* fields
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/dirs: Create system-wide extensions directory to new location
  * debian/watch: Switch to .xz tarballs
  * debian/README.Debian: Update to new locations
  * debian/lintian-overrides: Add an override for the empty system-wide
    extensions directory
  * debian/copyright: Add missing copyright statements

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Oct 2011 22:04:10 +0200

nautilus-python (0.6.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Require python-gconf instead of python-gnome2. Closes: #541582.
  * Add missing dependency on python-gtk2.
  * Drop useless .la files.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/02_libeel.patch,
    debian/patches/10_dlopen-nasty.patch,
    debian/patches/50_CVE-2009-0317.patch,
    debian/patches/70_missing_m4.patch,
    debian/patches/90_relibtoolize.patch:
    - Removed, no longer needed / applied upstream.
  * debian/control.in:
    - Remove libgnomevfs-dev from build depends, add python-gobject-dev.
    - Standards-Version is 3.8.4, no changes needed.
  * debian/watch:
    - Don't uupdate.
  * debian/control.in,
    debian/rules:
    - Remove quilt support, no longer needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 Jan 2010 14:12:47 +0100

nautilus-python (0.5.1-2) unstable; urgency=low

  * Remove useless libeel build-dependency.

 -- Josselin Mouette <joss@debian.org>  Sat, 25 Apr 2009 12:51:34 +0200

nautilus-python (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt; build-depend on quilt.
  * Rename un-numbered patches.
  * 01_fix-extension-directory.patch: removed, fixed upstream.
  * 02_libeel.patch: drop eel requirement.
  * update.patch: removed, merged upstream.
  * 70_missing_m4.patch: add missing m4 macros to acinclude.m4.
  * 90_relibtoolize.patch: as the name says.
  * Use debhelper compatibility mode 7.
  * Refer to versioned GPL in the copyright.

 -- Josselin Mouette <joss@debian.org>  Thu, 16 Apr 2009 18:30:58 +0200

nautilus-python (0.5.0-2) unstable; urgency=low

  [ Loic Minier ]
  * Section is gnome says ftpmasters.
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.

  [ Emilio Pozuelo Monfort ]
  * Change section back to python, override has been fixed.
  * Do not duplicate the section in the binary package stanza.

  [ Josselin Mouette ]
  * 50_CVE-2009-0317.patch: fix CVE-2009-0317: untrusted search path 
    vulnerability. Closes: #513419
  * Standards version is 3.8.1.
  * Upload to unstable.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 15:51:10 +0200

nautilus-python (0.5.0-1) experimental; urgency=low

  * New upstream release, depends on Nautilus 2.22 so target experimental
  * Add watch file, and patches from Ubuntu
  * Also add nasty patch to load libpython2.5.so.1. Ugly.

 -- Ross Burton <ross@debian.org>  Sun, 20 Apr 2008 16:33:37 +0100

nautilus-python (0.4.3-2) unstable; urgency=low

  [ Ross Burton ]
  * Acknowledge NMU.
  * Add to pkg-gnome team maintainership.
  * Bump Standards.
  * Fix FSF address.
  
  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Ross Burton <ross@debian.org>  Thu, 26 Apr 2007 11:12:37 +0100

nautilus-python (0.4.3-1.1) unstable; urgency=low

  * NMU.
  * Upload to unstable.
  * Drop dependency on python2.3, lowering severity of #373465.

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2007 11:36:59 +0100

nautilus-python (0.4.3-1) experimental; urgency=low

  * New upstream releases.
    - Should not cause nautilus to crash anymore. (Closes: #304370)
  * Add CDBS' utils.
    [debian/rules]
  * Add CDBS' simple patch system.
    [debian/patches, debian/rules]


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: nautilus-python
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               cdbs,
               gnome-pkg-tools,
               python-dev,
               python-gi-dev,
               libnautilus-extension-dev (>= 3.0)
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/nautilus-python
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/nautilus-python/

Package: python-nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gi (>= 3.0),
         gir1.2-nautilus-3.0
Description: Python binding for Nautilus components
 Python binding for Nautilus, to allow Nautilus property page and menu item
 extensions to be written in Python.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_INSTALL_EXAMPLES_python-nautilus := $(wildcard examples/*.py) examples/README
DEB_DH_MAKESHLIBS_ARGS_python-nautilus += --no-act

binary-post-install/python-nautilus::
	rm -rf debian/python-nautilus/usr/share/doc/nautilus-python/
	rm -f debian/python-nautilus/usr/lib/nautilus/extensions-3.0/*.la

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/nautilus-python/([\d\.]+)/nautilus-python-([\d\.]+)\.tar\.xz

## nautilus-python 1.2.2

=== debian/changelog ===
nautilus-python (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #725665, #907591) (LP: #1529460)
  * Build-Depend on pkg-config
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/copyright: Switch to the machine-readable 1.0 format
  * Bump Standards-Version to 4.2.1
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 13:01:38 -0400

nautilus-python (1.1-6) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:29:50 -0500

nautilus-python (1.1-5) unstable; urgency=medium

  * Switch from cdbs to dh
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
  * debian/rules:
    - Adapt to nautilus multi-archification
    - Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Nov 2017 15:05:06 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus-python
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               gnome-pkg-tools,
               pkg-config,
               python-dev,
               python-gi-dev,
               libnautilus-extension-dev (>= 3.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus-python
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus-python.git

Package: python-nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gi (>= 3.0),
         gir1.2-nautilus-3.0
Description: Python binding for Nautilus components
 Python binding for Nautilus, to allow Nautilus property page and menu item
 extensions to be written in Python.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gnome,python2

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_install:
	dh_install
	rm -rf debian/python-nautilus/usr/share/doc/nautilus-python/
	rm -f debian/python-nautilus/usr/lib/*/nautilus/extensions-3.0/*.la

override_dh_installexamples:
	dh_installexamples examples/*.py examples/README

override_dh_makeshlibs:
	dh_makeshlibs -ppython-nautilus --no-act

## nautilus-python 1.2.3

=== debian/changelog ===
nautilus-python (1.2.3-3.1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:08:43 +0000

nautilus-python (1.2.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control{,in}: Add missing build-dependency gtk-doc-tools.
    (Closes: #978868)

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Sep 2021 21:24:28 -0400

nautilus-python (1.2.3-3) unstable; urgency=high

  * Fix up debian/patches/gcc10.patch to work properly (Closes: #960079)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 May 2020 13:54:14 +0200

nautilus-python (1.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control.in: Bump libnautilus-extension-dev build-dependency to
    3.27.90, this is the release that starts to ship nautilus-extension.h

  [ Moritz Mühlenhoff ]
  * Drop python-nautilus binary package (Python2) (Closes: #937115)

  [ Andreas Henriksson ]
  * Add debian/patches/gcc10.patch (Closes: #957578)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 Apr 2020 16:23:25 +0200

nautilus-python (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on python-gi (and python3-gi) (Closes: #945037)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Nov 2019 19:21:40 -0500

nautilus-python (1.2.2-3) unstable; urgency=medium

  [ Jonas Meurer ]
  * Build nautilus bindings for python3 (Closes: #911082)

  [ Andreas Henriksson ]
  * Describe python2 version as deprecated
    - will be removed shortly, this intermediate upload still contains it
      to give reverse dependencies chance to migrate smoothly.
    See: #937115

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 21 Oct 2019 12:20:06 +0200

nautilus-python (1.2.2-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:18:48 -0500

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,26 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                gnome-pkg-tools,
+               gtk-doc-tools,
                pkg-config,
-               python-dev,
                python-gi-dev,
-               libnautilus-extension-dev (>= 3.0)
-Standards-Version: 4.2.1
+               python3-dev,
+               python3-gi,
+               libnautilus-extension-dev (>= 3.27.90)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus-python
 Vcs-Git: https://salsa.debian.org/gnome-team/nautilus-python.git
 
-Package: python-nautilus
+Package: python3-nautilus
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
-         python-gi (>= 3.0),
+         ${python3:Depends},
+         python3-gi (>= 3.0),
          gir1.2-nautilus-3.0
-Description: Python binding for Nautilus components
+Conflicts: python-nautilus
+Description: Python binding for Nautilus components (Python 3 version)
  Python binding for Nautilus, to allow Nautilus property page and menu item
  extensions to be written in Python.
+ .
+ This package contains the Python 3 version of the library.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,python3

override_dh_auto_configure:
	PYTHON_VERSION="$(shell py3versions -vd)" \
	PYTHON="$(shell py3versions -d)" \
		dh_auto_configure

override_dh_auto_build:
	PYTHON_VERSION="$(shell py3versions -vd)" \
	PYTHON="$(shell py3versions -d)" \
		dh_auto_build

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_install:
	dh_install
	rm -f debian/python3-nautilus/usr/lib/*/nautilus/extensions-3.0/*.la

override_dh_installexamples:
	dh_installexamples -A examples/*.py examples/README

override_dh_makeshlibs:
	dh_makeshlibs -ppython3-nautilus --no-act

## nautilus-python 4.0

=== debian/changelog ===
nautilus-python (4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:09:20 -0400

nautilus-python (4.0~alpha-2) experimental; urgency=medium

  * Cherry-pick some docs improvements

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 10:25:32 -0400

nautilus-python (4.0~alpha-1) experimental; urgency=medium

  * New upstream release
     - Build against nautilus 43 (Closes: #1016960)
     - This is a major API break and it's expected that all
       nautilus-python extensions will need code changes
  * Add Breaks against several packaged nautilus-python extensions
  * Build with meson
  * Build and install docs (Closes: #960671)
  * debian/docs: NEWS and README are now Markdown files
  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gnome & dh-sequence-python3
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 08:19:15 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus-python
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               dh-sequence-python3,
               gtk-doc-tools,
               pkg-config,
               python-gi-dev,
               python3-dev,
               python3-gi,
               libnautilus-extension-dev (>= 43~beta),
               meson (>= 0.59.0)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus-python
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus-python.git

Package: python3-nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-gi (>= 3.0),
         gir1.2-nautilus-4.0
Conflicts: python-nautilus
Breaks: clamtk-gnome (<< 6.07-1.1~),
        folder-color (<< 0.0.86-0ubuntu4.1~),
        nautilus-admin (<< 1.1.9-3.2~),
        nautilus-hide (<< 0.2.3-8.1~),
        nautilus-kdeconnect (<< 21.12.3-1.1~),
        nautilus-nextcloud (<< 3.5.1-2.1~),
        nautilus-owncloud (<< 2.6.3.14058+dfsg-1.1~),
        rabbitvcs-nautilus (<< 0.18-3.1~),
        subliminal-nautilus (<< 2.1.0-1.1~),
        tortoisehg-nautilus (<< 6.2-1.1~),
Description: Python binding for Nautilus components (Python 3 version)
 Python binding for Nautilus, to allow Nautilus property page and menu item
 extensions to be written in Python.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=enabled

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_installexamples:
	dh_installexamples -A examples/*.py examples/README

override_dh_makeshlibs:
	dh_makeshlibs -ppython3-nautilus --no-act

## nautilus-python 4.0.1

=== debian/changelog ===
nautilus-python (4.0.1-3) unstable; urgency=medium

  * Add patch to use nautilus 4.1 instead of 4.0 API
  * Update Depends: gir1.2-nautilus-4.0 → gir1.2-nautilus-4.1
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 10:35:20 -0400

nautilus-python (4.0.1-2) unstable; urgency=medium

  * Remove Josselin Mouette from uploaders, with thanks for
    previous work on this package (Closes: #930191)
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Jan 2025 09:58:39 -0500

nautilus-python (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 14:27:37 -0400

=== debian/control ===
Source: nautilus-python
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               gtk-doc-tools,
               libnautilus-extension-dev (>= 43~beta),
               meson (>= 0.59.0),
               pkgconf,
               python-gi-dev,
               python3-dev,
               python3-gi
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus-python
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus-python.git

Package: python3-nautilus
Architecture: any
Depends: gir1.2-nautilus-4.1,
         python3-gi (>= 3.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Conflicts: python-nautilus
Breaks: clamtk-gnome (<< 6.07-1.1~),
        folder-color (<< 0.0.86-0ubuntu4.1~),
        nautilus-admin (<< 1.1.9-3.2~),
        nautilus-hide (<< 0.2.3-8.1~),
        nautilus-kdeconnect (<< 21.12.3-1.1~),
        nautilus-nextcloud (<< 3.5.1-2.1~),
        nautilus-owncloud (<< 2.6.3.14058+dfsg-1.1~),
        rabbitvcs-nautilus (<< 0.18-3.1~),
        subliminal-nautilus (<< 2.1.0-1.1~),
        tortoisehg-nautilus (<< 6.2-1.1~)
Description: Python binding for Nautilus components (Python 3 version)
 Python binding for Nautilus, to allow Nautilus property page and menu item
 extensions to be written in Python.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=enabled

override_dh_installexamples:
	dh_installexamples -A examples/*.py examples/README

override_dh_makeshlibs:
	dh_makeshlibs -ppython3-nautilus --no-act

## nautilus-python 4.1.0

=== debian/changelog ===
nautilus-python (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Remove remaining patch: no longer needed
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jan 2026 15:03:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: nautilus-python
 Section: python
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>
@@ -14,9 +13,9 @@
                python-gi-dev,
                python3-dev,
                python3-gi
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus-python
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus-python.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/nautilus-python
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/nautilus-python.git
 
 Package: python3-nautilus
 Architecture: any
